Loading...
Searching...
No Matches
rpmmacro.h File Reference
I/O » RPM IO API.
`#include <stdio.h>`
`#include <stddef.h>`
`#include <rpm/rpmutil.h>`
`#include <rpm/rpmfileutil.h>`
Include dependency graph for rpmmacro.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | RMIL_BUILTIN -20
#define | RMIL_DEFAULT -15
#define | RMIL_MACROFILES -13
#define | RMIL_RPMRC -11
#define | RMIL_CMDLINE -7
#define | RMIL_TARBALL -5
#define | RMIL_SPEC -3
#define | RMIL_OLDSPEC -1
#define | RMIL_GLOBAL 0
#define | addMacro(_mc, _n, _o, _b, _l) rpmPushMacro(_mc, _n, _o, _b, _l)
#define | delMacro(_mc, _n) rpmPopMacro(_mc, _n)
#define | RPMEXPR_EXPAND (1 << 0)
#define | RPMEXPAND_EXPAND_ARGS (1 << 0)

## Typedefs

typedef struct rpmMacroEntry_s * | rpmMacroEntry
typedef struct rpmMacroContext_s * | rpmMacroContext
typedef enum rpmMacroFlags_e | rpmMacroFlags

## Enumerations

enum | rpmMacroFlags_e { RPMMACRO_DEFAULT = 0 , RPMMACRO_LITERAL = (1 << 0) }

## Functions

void | rpmDumpMacroTable (rpmMacroContext mc, FILE *fp)
int | rpmExpandMacros (rpmMacroContext mc, const char *sbuf, char **obuf, int flags)
int | rpmExpandThisMacro (rpmMacroContext mc, const char *n, ARGV_const_t args, char **obuf, int flags)
int | rpmPushMacro (rpmMacroContext mc, const char *n, const char *o, const char *b, int level)
int | rpmPushMacroFlags (rpmMacroContext mc, const char *n, const char *o, const char *b, int level, rpmMacroFlags flags)
int | rpmPopMacro (rpmMacroContext mc, const char *n)
int | rpmDefineMacro (rpmMacroContext mc, const char *macro, int level)
int | rpmMacroIsDefined (rpmMacroContext mc, const char *n)
int | rpmMacroIsParametric (rpmMacroContext mc, const char *n)
void | rpmLoadMacros (rpmMacroContext mc, int level)
int | rpmLoadMacroFile (rpmMacroContext mc, const char *fn)
void | rpmInitMacros (rpmMacroContext mc, const char *macrofiles)
void | rpmFreeMacros (rpmMacroContext mc)
char * | rpmExpand (const char *arg,...) RPM_GNUC_NULL_TERMINATED
int | rpmExpandNumeric (const char *arg)
const char * | rpmConfigDir (void)
int | rpmExprBoolFlags (const char *expr, int flags)
char * | rpmExprStrFlags (const char *expr, int flags)
int | rpmExprBool (const char *expr)
char * | rpmExprStr (const char *expr)

## Variables

rpmMacroContext | rpmGlobalMacroContext
rpmMacroContext | rpmCLIMacroContext
const char * | macrofiles

## Detailed Description

Macro API

## Macro Definition Documentation

## RMIL_BUILTIN

#define RMIL_BUILTIN -20

Markers for sources of macros added throughout rpm.

## RPMEXPAND_EXPAND_ARGS

#define RPMEXPAND_EXPAND_ARGS (1 << 0)

expand arguments of parametric macros

## RPMEXPR_EXPAND

#define RPMEXPR_EXPAND (1 << 0)

expand primary terms

## Enumeration Type Documentation

## rpmMacroFlags_e

enum rpmMacroFlags_e

Enumerator
RPMMACRO_LITERAL | do not expand body of macro